hdcp1x: XHdcp1x_Config Struct Reference

| hdcp1x Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XHdcp1x_Config Struct Reference
Hdcp1x_v4_3

This typedef contains configuration information for the HDCP core. More...

## Data Fields
u16 | DeviceId
| Device instance ID. More...
UINTPTR | BaseAddress
| The base address of the core. More...
u32 | SysFrequency
| The main clock frequency of the core. More...
u16 | IsRx
| Flag indicating the core direction. More...
u16 | IsHDMI
| Flag indicating if the core is meant to work with HDMI. More...

## Detailed Description

This typedef contains configuration information for the HDCP core.

## Field Documentation

UINTPTR XHdcp1x_Config::BaseAddress

The base address of the core.

Referenced by XHdcp1x_CfgInitialize(), XHdcp1x_CipherDisable(), XHdcp1x_CipherDisableBlank(), XHdcp1x_CipherDisableEncryption(), XHdcp1x_CipherDoRequest(), XHdcp1x_CipherEnable(), XHdcp1x_CipherEnableBlank(), XHdcp1x_CipherEnableEncryption(), XHdcp1x_CipherGetB(), XHdcp1x_CipherGetEncryption(), XHdcp1x_CipherGetK(), XHdcp1x_CipherGetLocalKsv(), XHdcp1x_CipherGetMi(), XHdcp1x_CipherGetMo(), XHdcp1x_CipherGetNumLanes(), XHdcp1x_CipherGetRemoteKsv(), XHdcp1x_CipherGetRi(), XHdcp1x_CipherGetRo(), XHdcp1x_CipherGetVersion(), XHdcp1x_CipherHandleInterrupt(), XHdcp1x_CipherInit(), XHdcp1x_CipherIsLinkUp(), XHdcp1x_CipherIsRequestComplete(), XHdcp1x_CipherSetB(), XHdcp1x_CipherSetK(), XHdcp1x_CipherSetKeySelect(), XHdcp1x_CipherSetLinkStateCheck(), XHdcp1x_CipherSetNumLanes(), XHdcp1x_CipherSetRemoteKsv(), XHdcp1x_CipherSetRiUpdate(), and XHdcp1x_SelfTest().

u16 XHdcp1x_Config::DeviceId

Device instance ID.

u16 XHdcp1x_Config::IsHDMI

Flag indicating if the core is meant to work with HDMI.

Referenced by XHdcp1x_CfgInitialize(), XHdcp1x_PortDetermineAdaptor(), XHdcp1x_RxInfo(), XHdcp1x_SelfTest(), XHdcp1x_SetLaneCount(), and XHdcp1x_TxInfo().

u16 XHdcp1x_Config::IsRx

Flag indicating the core direction.

Referenced by XHdcp1x_Authenticate(), XHdcp1x_CfgInitialize(), XHdcp1x_Disable(), XHdcp1x_DisableBlank(), XHdcp1x_DisableEncryption(), XHdcp1x_DownstreamReady(), XHdcp1x_Enable(), XHdcp1x_EnableBlank(), XHdcp1x_EnableEncryption(), XHdcp1x_GetEncryption(), XHdcp1x_GetRepeaterInfo(), XHdcp1x_GetTopology(), XHdcp1x_GetTopologyBKSV(), XHdcp1x_GetTopologyKSVList(), XHdcp1x_HandleTimeout(), XHdcp1x_Info(), XHdcp1x_IsAuthenticated(), XHdcp1x_IsDwnstrmCapable(), XHdcp1x_IsEnabled(), XHdcp1x_IsInComputations(), XHdcp1x_IsInProgress(), XHdcp1x_IsInWaitforready(), XHdcp1x_IsRepeater(), XHdcp1x_Poll(), XHdcp1x_PortDetermineAdaptor(), XHdcp1x_ProcessAKsv(), XHdcp1x_ReadDownstream(), XHdcp1x_Reset(), XHdcp1x_SelfTest(), XHdcp1x_SetCallback(), XHdcp1x_SetHdmiMode(), XHdcp1x_SetLaneCount(), XHdcp1x_SetPhysicalState(), XHdcp1x_SetRepeater(), XHdcp1x_SetTopology(), XHdcp1x_SetTopologyKSVList(), and XHdcp1x_SetTopologyUpdate().

u32 XHdcp1x_Config::SysFrequency

The main clock frequency of the core.